package ru.pricepulse.parsingservice.config;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import ru.pricepulse.parsingservice.config.properties.OzonConfigProperties;
import ru.pricepulse.parsingservice.config.properties.WildberriesConfigProperties;

@Getter
@Configuration
@EnableConfigurationProperties({
    OzonConfigProperties.class,
    WildberriesConfigProperties.class
})
@AllArgsConstructor
public class MarketplacesConfig {
    private final WildberriesConfigProperties wildberriesConfigProperties;
    private final OzonConfigProperties ozonConfigProperties;
}
